- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# eos_lldp_interfaces – Manage Link Layer Discovery Protocol (LLDP) attributes of interfaces on Arista EOS devices

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module manages Link Layer Discovery Protocol (LLDP) attributes of interfaces on Arista EOS devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config list / elements=dictionary |  | A dictionary of LLDP interfaces options.
| name string |  | Full name of the interface (i.e. Ethernet1).
| receive boolean | Choices: no yes | Enable/disable LLDP RX on an interface.
| transmit boolean | Choices: no yes | Enable/disable LLDP TX on an interface.
state string | Choices: merged ← replaced overridden deleted | The state of the configuration after module completion.

## Notes

Note

- Tested against Arista EOS 4.20.10M
- This module works with connection `network_cli`. See the EOS Platform Options.

## Examples

    # Using merged
    #
    #
    # ------------
    # Before state
    # ------------
    #
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    no lldp receive
    # interface Ethernet2
    #    no lldp transmit

    - name: Merge provided configuration with running configuration
      eos_lldp_interfaces:
        config:
          - name: Ethernet1
            transmit: False
          - name: Ethernet2
            transmit: False
        state: merged

    #
    # ------------
    # After state
    # ------------
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    no lldp transmit
    #    no lldp receive
    # interface Ethernet2
    #    no lldp transmit

    # Using replaced
    #
    #
    # ------------
    # Before state
    # ------------
    #
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    no lldp receive
    # interface Ethernet2
    #    no lldp transmit

    - name: Replace existing LLDP configuration of specified interfaces with provided configuration
      eos_lldp_interfaces:
        config:
          - name: Ethernet1
            transmit: False
        state: replaced

    #
    # ------------
    # After state
    # ------------
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    no lldp transmit
    # interface Ethernet2
    #    no lldp transmit

    # Using overridden
    #
    #
    # ------------
    # Before state
    # ------------
    #
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    no lldp receive
    # interface Ethernet2
    #    no lldp transmit

    - name: Override the LLDP configuration of all the interfaces with provided configuration
      eos_lldp_interfaces:
        config:
          - name: Ethernet1
            transmit: False
        state: overridden

    #
    # ------------
    # After state
    # ------------
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    no lldp transmit
    # interface Ethernet2

    # Using deleted
    #
    #
    # ------------
    # Before state
    # ------------
    #
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    no lldp receive
    # interface Ethernet2
    #    no lldp transmit

    - name: Delete LLDP configuration of specified interfaces (or all interfaces if none are specified)
      eos_lldp_interfaces:
        state: deleted

    #
    # ------------
    # After state
    # ------------
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    # interface Ethernet2

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after list | when changed | The configuration as structured data after module completion. Sample: The configuration returned will always be in the same format of the parameters above.
before list | always | The configuration as structured data prior to module invocation. Sample: The configuration returned will always be in the same format of the parameters above.
commands list | always | The set of commands pushed to the remote device. Sample: ['interface Ethernet1', 'no lldp transmit']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Nathaniel Case (@Qalthos)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.